#include "../include/aprecv-general.h"

int print_ipesp_packet (unsigned char *packet, int opt_size) {
  static struct ipesp_pkt_header *ipesp_header;

  ipesp_header = (struct ipesp_pkt_header *)(packet+data_link_size+opt_size);
  
  apsr_output("- IP ESP Header -\n");
  if(verbose) 
	  apsr_output("  Security Parameter Index: 0x%08x\n", apsr_ntohl(ipesp_header->spi));
  else
	  apsr_output("  SPI: 0x%08x\n", apsr_ntohl(ipesp_header->spi));

  apsr_output("  Seq.: 0x%08x\n", apsr_ntohl(ipesp_header->seq_num));

  if(statistic) 
          stats.c.ipesp++;
  
  return(RET_SUCCESS);
}
