#include "../include/aprecv-general.h"

int print_sunatm_packet (struct aprecv_frame_header *header, unsigned char *packet, int opt_size) {
  static struct sunatm_pkt_header *sunatm_header;

  sunatm_header = (struct sunatm_pkt_header *)(packet);
	  
  apsr_output("\n- SunATM -\n");

  apsr_output("  Direction: ");
  if(sunatm_header->direction & 0x80) 
	  apsr_output("Tx");
  else 
	  apsr_output("Rx");

  apsr_output("\n  VPI: %u, VCI: %u\n",
		  sunatm_header->vpi,
		  apsr_ntohs(sunatm_header->vci));

  if(statistic)
	  stats.c.sunatm++;
	  
  return(RET_SUCCESS);
}
