/* Maintenance Operation Protocol(MOP) v3.0 */
#define APSR_MOPV3_CODE_MEMLDTA		0 /*Memory Load with Transfer Address*/
#define APSR_MOPV3_CODE_DMPCMPL		1 /* Dump Complete */
#define APSR_MOPV3_CODE_MEMLOAD		2 /* Memory Load */
#define APSR_MOPV3_CODE_ASSIVOL		3 /* Assistance volunteer */
#define APSR_MOPV3_CODE_RQMEMDP		4 /* Request Memory Dump */
#define APSR_MOPV3_CODE_REQSTID		5 /* Request ID */
#define APSR_MOPV3_CODE_BOOT		6 /* Boot */
#define APSR_MOPV3_CODE_SYSID		7 /* System ID */
#define APSR_MOPV3_CODE_RQPROG		8 /* Request Program */
#define APSR_MOPV3_CODE_RQCOUNT		9 /* Request Counters */
#define APSR_MOPV3_CODE_RQMEMLD		10 /* Request Memory Load */ 
#define APSR_MOPV3_CODE_COUNTER 	11 /* Counters */
#define APSR_MOPV3_CODE_RQDMPSER	12 /* Request Dump Service */
#define APSR_MOPV3_CODE_RESCONS 	13 /* Reserve Console */
#define APSR_MOPV3_CODE_MEMDMPDT 	14 /* Memory Dump Data */
#define APSR_MOPV3_CODE_REALCON 	15 /* Release Console */
#define APSR_MOPV3_CODE_RESERVED1	16 /* Reserved */
#define APSR_MOPV3_CODE_CCP		17 /* Console Command and Poll */
#define APSR_MOPV3_CODE_RESERVED2 	18 /* Reserved */
#define APSR_MOPV3_CODE_CRA     	19 /* Console Response and Ack */
#define APSR_MOPV3_CODE_PARLDATA	20 /*Parameter Load with Transfer Addr*/
#define APSR_MOPV3_CODE_COUNTERS	21 /* Counters(other than CSMA/CD */
#define APSR_MOPV3_CODE_ALD		24 /* Active Loop Data */
#define APSR_MOPV3_CODE_PLD		26 /* Passive Loop Data */

#define APSR_MOPV3_PRGTYPE_SEC		0 /* Secondary Loader */
#define APSR_MOPV3_PRGTYPE_TER		1 /* Tertiary Loader */
#define APSR_MOPV3_PRGTYPE_SYS		2 /* Operation System */
#define APSR_MOPV3_PRGTYPE_MGT		3 /* Management File */
#define APSR_MOPV3_PRGTYPE_CMIP 	4 /* CMIP Script File */

